View Issue Details

IDProjectCategoryView StatusLast Update
14881Bug reports[User patches] Other issuespublic2019-06-12 17:19
ReporterSiemAssigned Todominikvitt 
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.17.x 
Summary14881: 'show pop-ups' 'Off'-setting not working anymore
Description

When you set 'Show popups' to 'Off' (in the Theme options)
popups still appear, it is ignored.
It used to work correct (no popup) until 3-5? months ago.
I have tested this issue with multiple themes, the Fruity theme (which we use) and the Bootswatch theme, the other themes could also be affected.

Steps To Reproduce

Start a survey, select the Fruity Theme and set the survey in 'question by question' format.
Make sure there's a question that is mandatory
Don't fill it in and go to the next question. See popup.

TagsNo tags attached.
Complete LimeSurvey version number (& build)
I will donate to the project if issue is resolved
Browser
Database & DB-Version
Server OS (if known)
Webserver software & version (if known)
PHP Version

Activities

dominikvitt

dominikvitt

2019-06-12 17:19

developer   ~52374

This issue is fixed.
The patch is available now on GitHub and would be available on next LimeSurvey release.

https://github.com/LimeSurvey/LimeSurvey/commit/3853127d57db81c765ff5240bd7782d378867902

Issue History

Date Modified Username Field Change
2019-05-10 10:38 Siem New Issue
2019-05-11 18:15 DenisChenu Project Development => Bug reports
2019-05-11 18:15 DenisChenu Category Accessibility => Other issues
2019-06-12 16:35 dominikvitt Assigned To => dominikvitt
2019-06-12 16:35 dominikvitt Status new => assigned
2019-06-12 17:19 dominikvitt Status assigned => resolved
2019-06-12 17:19 dominikvitt Resolution open => fixed
2019-06-12 17:19 dominikvitt Fixed in Version => 3.17.x
2019-06-12 17:19 dominikvitt Note Added: 52374